#!/bin/bash

# Force a touchscreen calibration by creating a self-deleting startup script
export CALSCRIPT=/home/true/.config/openbox/autostart.d/57_touchcalibrate.sh

sudo cat <<END > $CALSCRIPT
export DISPLAY=:0.0

# Display instructions and wait for a screen touch
GUI-xmessage -m "STOP! Please read the following important instructions.\n\nThe touch panel software has been updated and calibration is required.\nOn the following screen, please touch each of the 9 targets firmly and accurately.\n\nTouch anywhere to begin." -d -h 500

sudo /usr/sbin/xCal 9

rm $CALSCRIPT
sync
END

sync
